-- ============================================================
-- File Name: decode2.vhd
-- 
-- 
-- ============================================================


LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY decode2 IS
	PORT
	(
		EnableB	: IN STD_LOGIC;
		EnableA	: IN STD_LOGIC;
--		clk		: IN STD_LOGIC;
		Sel		: OUT STD_LOGIC;
		en      : OUT STD_LOGIC
	);
END decode2;


ARCHITECTURE RTL OF decode2 IS

BEGIN

PROCESS (EnableB, EnableA) --(clk)

Variable Enable_int	: STD_LOGIC_VECTOR (1 DOWNTO 0);

BEGIN
--    IF rising_edge(clk) THEN
        Enable_int := EnableB & EnableA;
        CASE Enable_int IS 
        	WHEN "01" => Sel <= '0'; en <= '1';
        	WHEN "10" => Sel <= '1'; en <= '1';
        	WHEN others => Sel <= '0'; en <= '0';
        END CASE;
--	END IF;
END PROCESS;
	
END RTL;
